b9a53a
From ad3e4a0f010c9497b01d89de54213af982f8afd2 Mon Sep 17 00:00:00 2001
b9a53a
From: Frantisek Sumsal <frantisek@sumsal.cz>
b9a53a
Date: Tue, 2 Jul 2019 09:52:45 +0200
be3800
Subject: [PATCH] test: skip the test on systems without NUMA support
b9a53a
b9a53a
(cherry picked from commit b030847163e9bd63d3dd6eec6ac7f336411faba6)
b9a53a
b9a53a
Related: #1808940
b9a53a
---
b9a53a
 test/TEST-36-NUMAPOLICY/testsuite.sh | 13 ++++++++++++-
b9a53a
 1 file changed, 12 insertions(+), 1 deletion(-)
b9a53a
b9a53a
diff --git a/test/TEST-36-NUMAPOLICY/testsuite.sh b/test/TEST-36-NUMAPOLICY/testsuite.sh
b9a53a
index daed8fcc1c..4b715d305a 100755
b9a53a
--- a/test/TEST-36-NUMAPOLICY/testsuite.sh
b9a53a
+++ b/test/TEST-36-NUMAPOLICY/testsuite.sh
b9a53a
@@ -123,7 +123,18 @@ systemctlCheckNUMAProperties() {
b9a53a
     fi
b9a53a
 }
b9a53a
 
b9a53a
-checkNUMA
b9a53a
+if ! checkNUMA; then
b9a53a
+    echo >&2 "NUMA is not supported on this machine, skipping the test"
b9a53a
+
b9a53a
+    # FIXME: add some sanity checks to verify systemd behaves correctly with
b9a53a
+    #        NUMA disabled together with NUMAPolicy= and NUMAMask=
b9a53a
+
b9a53a
+    systemd-analyze log-level info
b9a53a
+    echo OK > /testok
b9a53a
+
b9a53a
+    exit 0
b9a53a
+fi
b9a53a
+
b9a53a
 writeTestUnit
b9a53a
 
b9a53a
 # Create systemd config drop-in directory